<%@ page language="java"%> 

<%@ page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,java.text.*,m05bClasses.*" %>
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
	String persona = (String) session.getAttribute("persona");	
	
%>	
<%@ include file="/m05bIdioma.inc"%>
<HTML>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<HEAD>
	<title><%= resTit.getString("titLstProximasItvs")%></title>
	<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">	
<SCRIPT language=JavaScript>
		function fncRetornar() {
				 document.formSolicitud.action="/m05bParqueMovilWar/m05bImpProxItvJsp.jsp?Tipo=1" ;
				 document.formSolicitud.submit();
		}
</SCRIPT>
</HEAD>	
<!-- Hojas de Estilo -->
<%	String ProximasItv = m05bFicheroProperties.getInstance().getParameter("PDF.ProximasItv"); %>

<BODY style="cursor: wait" onload="document.body.style.cursor='default';document.all['general'].style.visibility='visible';document.all['general'].style.cursor='default';" onunload="document.body.style.cursor='wait';document.all['general'].style.cursor='wait';">
<div  id="general" style="POSITION: absolute;visibility:hidden;cursor: wait">	
<form NAME="formSolicitud" METHOD="POST">
<% m05bFileLog miLog = new m05bFileLog(); %>
	
<%
	m05bComun miComun=new m05bComun();
	String sDpto = request.getParameter("CodDpto");
	String sSituacion = request.getParameter("SituacionTexto");
	String sFecDesde = request.getParameter("FecDesde");
	String sFecHasta = request.getParameter("FecHasta");
	String srcPDF = ProximasItv + "?CodDpto="+sDpto +"&Situacion="+sSituacion+"&FecDesde="+sFecDesde+"&FecHasta="+sFecHasta;
	java.sql.Connection conn=null;
	PreparedStatement pstmt = null;
	ResultSet rs = null;
      try
      {  //HttpSession session = request.getSession(true);
			m05bConexion miConex = new m05bConexion();
			conn = miConex.getConnection();
            String sSentencia = " SELECT  1 "+
" FROM "+
m05bConstantes.TAB_ITV+","+	
m05bConstantes.TAB_VEHICULOS+","+	
m05bConstantes.TAB_MODELOS+","+		
m05bConstantes.TAB_DESCRIPCIONES+" M ,"+
m05bConstantes.TAB_CENTROS+","+
m05bConstantes.TAB_TARJETAS+
" WHERE "+
m05bConstantes.COL_27_MATRICULA + "=" + m05bConstantes.COL_34_MATRICULA + " AND " +
m05bConstantes.COL_34_MODELO+"="+m05bConstantes.COL_17_CODMOD +" AND M." +
m05bConstantes.COL_99_CODTABLA+"(+) ="+m05bConstantes.DESC_MARCAS + " AND "+ 		
m05bConstantes.COL_34_MARCA+"= M."+m05bConstantes.COL_99_CODDESC +"(+) AND " +	
m05bConstantes.COL_27_MATRICULA + "=" + m05bConstantes.COL_31_MATRICULA + " AND " +
m05bConstantes.COL_05_CODIGO+"="+m05bConstantes.COL_31_CENTRO+ " AND " +
m05bConstantes.COL_27_MATRICULA+"||"+m05bConstantes.COL_27_FINSPEC +" in (SELECT "+
m05bConstantes.COL_27_MATRICULA+"||MAX("+m05bConstantes.COL_27_FINSPEC+				
") FROM " + m05bConstantes.TAB_ITV + 
" GROUP BY " + m05bConstantes.COL_27_MATRICULA+") AND "+
m05bConstantes.COL_27_FPRXINSPEC +" IS  NOT  NULL"	;
if (!(sSituacion.equals(""))){
        sSituacion=miComun.ListaCaracteres(sSituacion);
    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_34_SITUACION+ " in ("+sSituacion+")";}
if (!(sDpto.equals(""))){
    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_34_CODDPTO+ " = "+sDpto ;}
if (!(sFecDesde.equals(""))){
    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_27_FPRXINSPEC+ " >= TO_DATE('"+sFecDesde+"','"+formatoFecha+"')";}
if (!(sFecHasta.equals(""))){
    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_27_FPRXINSPEC+ " <= TO_DATE('"+sFecHasta+"','"+formatoFecha+"')";}
		   miLog.addTraza(persona , "m05bProximasPDFRevisiones" , "sSentencia: " + sSentencia, m05bConstantes.LOG_NIVEL_BAJO);
    	
pstmt = conn.prepareStatement(sSentencia);
rs = pstmt.executeQuery();
		
%>
	
<TABLE class="general">
  <tr>
       <td width="90%" align="right">
          <input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:fncRetornar();" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />
       </td>
  </tr>
  <tr>
    <td colspan="2">
    <% if (rs.next() == true){ %>
      
		<embed name='pdfProximasItv' src='<%=srcPDF%>' type="application/pdf" width='736' height='500'></embed>
    <%} else {%>
		<embed name='pdfProximasItv' src='/parquemovil/SinDatos.pdf' type="application/pdf" width='736' height='500'></embed>
    <%}%>
	<%	} catch (Exception SQLException) {
			miLog.addTraza(SQLException);
		} 	finally{
				if (rs != null)
					rs.close();			
				if (pstmt != null)
					pstmt.close();
				if (conn != null)
					conn.close();}%>
  	</td>
  </tr>
</TABLE>
</form>
<script type="text/javascript" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05bMsControl.js"></script>
 
</div>		
</body>
</html>
